Bug 26530 - Use patron card number as checkbox label during patron merge
Summary: Use patron card number as checkbox label during patron merge
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2020-09-24 15:27 UTC by Owen Leonard
Modified: 2020-10-20 17:26 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26530: Use patron card number as checkbox label during patron merge (2.28 KB, patch)
2020-09-24 15:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26530: Use patron card number as checkbox label during patron merge (2.34 KB, patch)
2020-09-24 21:02 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26530: Use patron card number as checkbox label during patron merge (2.39 KB, patch)
2020-09-26 17:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-09-24 15:27:01 UTC
When selecting a patron record during the patron merge process it would be nice to have a clickable label to make the selection process easier. I propose to wrap the cardnumber data in a <label>
Comment 1 Owen Leonard 2020-09-24 15:44:20 UTC
Created attachment 110670 [details] [review]
Bug 26530: Use patron card number as checkbox label during patron merge

This patch makes a minor change the the merge patrons template so that
on the patron selection stage the user can click the card number to
select the radio button.

To test, apply the patch and perform a patron search in the patrons
module.

- In patron search results, select two patrons to merge.
- Click the "Merge selected patrons" button.
- On the page showing the two patrons to merge, click each of the card
  numbers to confirm that it selects the correct radio button.
Comment 2 Jennifer Marlatt 2020-09-24 21:00:32 UTC
Works great.
Comment 3 ByWater Sandboxes 2020-09-24 21:02:19 UTC
Created attachment 110702 [details] [review]
Bug 26530: Use patron card number as checkbox label during patron merge

This patch makes a minor change the the merge patrons template so that
on the patron selection stage the user can click the card number to
select the radio button.

To test, apply the patch and perform a patron search in the patrons
module.

- In patron search results, select two patrons to merge.
- Click the "Merge selected patrons" button.
- On the page showing the two patrons to merge, click each of the card
  numbers to confirm that it selects the correct radio button.

Signed-off-by: Jennifer <jennifer.marlatt@coronaca.gov>
Comment 4 Katrin Fischer 2020-09-26 17:20:27 UTC
Created attachment 110783 [details] [review]
Bug 26530: Use patron card number as checkbox label during patron merge

This patch makes a minor change the the merge patrons template so that
on the patron selection stage the user can click the card number to
select the radio button.

To test, apply the patch and perform a patron search in the patrons
module.

- In patron search results, select two patrons to merge.
- Click the "Merge selected patrons" button.
- On the page showing the two patrons to merge, click each of the card
  numbers to confirm that it selects the correct radio button.

Signed-off-by: Jennifer <jennifer.marlatt@coronaca.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-10-01 09:46:24 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-10-20 17:26:55 UTC
enhancement will not be backported to 20.05.x